<?php
	
	$perfect_blog_theme_color_first = get_theme_mod('perfect_blog_theme_color_first');

	$perfect_blog_custom_css = '';

	$perfect_blog_custom_css .='a.button, .second-border a:hover, #footer input[type="submit"], .woocommerce span.onsale, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, #sidebar input[type="submit"], #sidebar .tagcloud a:hover, .pagination a:hover, .pagination .current, #header main-menu-navigation ul li:hover > ul li:hover,#comments input[type="submit"].submit, #menu-sidebar input[type="submit"],.tags p a:hover,.meta-nav:hover,#slider .inner_carousel .more-btn a:hover,#comments a.comment-reply-link,#sidebar aside#woocommerce_product_search-2 button,#footer .tagcloud a, #footer form.woocommerce-product-search button, #sidebar form.woocommerce-product-search button{';
		$perfect_blog_custom_css .='background-color: '.esc_attr($perfect_blog_theme_color_first).';';
	$perfect_blog_custom_css .='}';

	$perfect_blog_custom_css .='comments input[type="submit"].submit, nav.woocommerce-MyAccount-navigation ul li{';
		$perfect_blog_custom_css .='background-color: '.esc_attr($perfect_blog_theme_color_first).'!important;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_custom_css .='input[type="submit"], .social-media i:hover, main-menu-navigation ul li a:hover,main-menu-navigation ul li a:active, .copyright p a,.woocommerce-message::before, h1.entry-title, #footer li a:hover,.primary-navigation ul ul a,.primary-navigation ul ul,.tags i,.metabox a:hover,#sidebar ul li a:hover{';
		$perfect_blog_custom_css .='color: '.esc_attr($perfect_blog_theme_color_first).';';
	$perfect_blog_custom_css .='}';

	$perfect_blog_custom_css .='#footer input[type="search"],.primary-navigation ul ul,.second-border a:hover, #footer form.woocommerce-product-search button, #sidebar form.woocommerce-product-search button{';
		$perfect_blog_custom_css .='border-color: '.esc_attr($perfect_blog_theme_color_first).';';
	$perfect_blog_custom_css .='}';

	$perfect_blog_custom_css .='.primary-navigation ul ul{';
		$perfect_blog_custom_css .='border-top-color: '.esc_attr($perfect_blog_theme_color_first).'!important;';
	$perfect_blog_custom_css .='}';

	// second theme color
	$perfect_blog_theme_color_second = get_theme_mod('perfect_blog_theme_color_second');

	$perfect_blog_custom_css .='#header, .contentbox h4, .copyright, .woocommerce .widget_price_filter .ui-slider .ui-slider-range, .woocommerce .widget_price_filter .ui-slider .ui-slider-handle{';
		$perfect_blog_custom_css .='background-color: '.esc_attr($perfect_blog_theme_color_second).';';
	$perfect_blog_custom_css .='}';

	$perfect_blog_custom_css .='.page-box h4 a,#sidebar h3, #header main-menu-navigation ul li:hover > ul li a,.tags p a,.meta-nav,.entry-content a, .woocommerce-product-details__short-description p a, .comment-body p a,#sidebar .textwidget a#sidebar .textwidget a#sidebar .textwidget a{';
		$perfect_blog_custom_css .='color: '.esc_attr($perfect_blog_theme_color_second).';';
	$perfect_blog_custom_css .='}';

	$perfect_blog_custom_css .='#footer .tagcloud a,.tags p a{';
		$perfect_blog_custom_css .='border-color: '.esc_attr($perfect_blog_theme_color_second).';';
	$perfect_blog_custom_css .='}';
	
	// media
	$perfect_blog_custom_css .='@media screen and (max-width:1000px) {';
	if($perfect_blog_theme_color_second != false || $perfect_blog_theme_color_first != false){
	$perfect_blog_custom_css .='#menu-sidebar, .primary-navigation ul ul a, .primary-navigation li a:hover, .primary-navigation li:hover a, #contact-info{
	background-image: linear-gradient(-90deg, '.esc_attr($perfect_blog_theme_color_second).' 0%, '.esc_attr($perfect_blog_theme_color_first).' 120%);
		} }';
	}
	if($perfect_blog_theme_color_second){
		$perfect_blog_custom_css .='.page-template-custom-front-page #header{';
		$perfect_blog_custom_css .='background-color: '.esc_attr($perfect_blog_theme_color_second).' !important;';
	}
	$perfect_blog_custom_css .='}';

	/*---------------------------Width Layout -------------------*/
	$perfect_blog_theme_lay = get_theme_mod( 'perfect_blog_theme_options','Default');
    if($perfect_blog_theme_lay == 'Default'){
		$perfect_blog_custom_css .='body{';
			$perfect_blog_custom_css .='max-width: 100%;';
		$perfect_blog_custom_css .='}';
		$perfect_blog_custom_css .='.page-template-custom-front-page #header{';
			$perfect_blog_custom_css .='width:100%';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_theme_lay == 'Container'){
		$perfect_blog_custom_css .='body{';
			$perfect_blog_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$perfect_blog_custom_css .='}';
		$perfect_blog_custom_css .='.page-template-custom-front-page #header{';
			$perfect_blog_custom_css .='width:97.7%';
		$perfect_blog_custom_css .='}';
		$perfect_blog_custom_css .='
		@media screen and (max-width: 1000px) and (min-width: 720px){
		.page-template-custom-front-page #header{';
		$perfect_blog_custom_css .='width:96%;';
		$perfect_blog_custom_css .='} }';
		$perfect_blog_custom_css .='
		@media screen and (max-width: 1024px) and (min-width: 1000px){
		.page-template-custom-front-page #header{';
		$perfect_blog_custom_css .='width:97.1%;';
		$perfect_blog_custom_css .='} }';
		$perfect_blog_custom_css .='
		@media screen and (max-width: 720px){
		.page-template-custom-front-page #header{';
		$perfect_blog_custom_css .='width:100%;';
		$perfect_blog_custom_css .='} }';
		
	}else if($perfect_blog_theme_lay == 'Box Container'){
		$perfect_blog_custom_css .='body{';
			$perfect_blog_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$perfect_blog_custom_css .='}';
		$perfect_blog_custom_css .='.page-template-custom-front-page #header{';
			$perfect_blog_custom_css .='width:82.2%;';
		$perfect_blog_custom_css .='}';	
		$perfect_blog_custom_css .='
		@media screen and (max-width: 1000px) and (min-width: 720px){
		.page-template-custom-front-page #header{';
		$perfect_blog_custom_css .='width:96%;';
		$perfect_blog_custom_css .='} }';
		$perfect_blog_custom_css .='
		@media screen and (max-width: 1024px) and (min-width: 1000px){
		.page-template-custom-front-page #header{';
		$perfect_blog_custom_css .='width:97%;';
		$perfect_blog_custom_css .='} }';
		$perfect_blog_custom_css .='
		@media screen and (max-width: 720px){
		.page-template-custom-front-page #header{';
		$perfect_blog_custom_css .='width:100%;';
		$perfect_blog_custom_css .='} }';
	}

	// css
	$perfect_blog_show_author = get_theme_mod( 'perfect_blog_author_hide', true) ;
	if($perfect_blog_show_author == false){
	 	$perfect_blog_custom_css .='.date-section{';
			$perfect_blog_custom_css .='float:none; width:100%;';
		$perfect_blog_custom_css .='}';
	}

	$perfect_blog_show_header = get_theme_mod( 'perfect_blog_slider_hide_show', false);
	if($perfect_blog_show_header == false){
		$perfect_blog_custom_css .='.page-template-custom-front-page #header{';
			$perfect_blog_custom_css .='position: static; background-color: #101631;';
		$perfect_blog_custom_css .='}';
	}

	/*---------------------------Slider Content Layout -------------------*/
	$perfect_blog_theme_lay = get_theme_mod( 'perfect_blog_slider_content_alignment','Left');
    if($perfect_blog_theme_lay == 'Left'){
		$perfect_blog_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .readbutton{';
			$perfect_blog_custom_css .='text-align:left; left:15%; right:30%;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_theme_lay == 'Center'){
		$perfect_blog_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .readbutton{';
			$perfect_blog_custom_css .='text-align:center !important; left:20%; right:20%;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_theme_lay == 'Right'){
		$perfect_blog_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .readbutton{';
			$perfect_blog_custom_css .='text-align:right !important; left:30%; right:15%;';
		$perfect_blog_custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/
	$perfect_blog_theme_lay = get_theme_mod( 'perfect_blog_slider_image_opacity','0.7');
	if($perfect_blog_theme_lay == '0'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.1'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.1';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.2'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.2';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.3'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.3';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.4'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.4';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.5'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.5';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.6'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.6';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.7'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.7';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.8'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.8';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.9'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.9';
		$perfect_blog_custom_css .='}';
		}

	/*-------------------- Button Settings option-------------------*/
	$perfect_blog_button_padding_top_bottom = get_theme_mod('perfect_blog_button_padding_top_bottom');
	$perfect_blog_button_padding_left_right = get_theme_mod('perfect_blog_button_padding_left_right');
	$perfect_blog_custom_css .='.second-border a, #slider .inner_carousel .more-btn a, #comments .form-submit input[type="submit"]{';
		$perfect_blog_custom_css .='padding-top: '.esc_attr($perfect_blog_button_padding_top_bottom).'px !important; padding-bottom: '.esc_attr($perfect_blog_button_padding_top_bottom).'px !important; padding-left: '.esc_attr($perfect_blog_button_padding_left_right).'px !important; padding-right: '.esc_attr($perfect_blog_button_padding_left_right).'px !important; display:inline-block;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_button_border_radius = get_theme_mod('perfect_blog_button_border_radius');
	$perfect_blog_custom_css .='.second-border a, #slider .inner_carousel .more-btn a, #comments .form-submit input[type="submit"]{';
		$perfect_blog_custom_css .='border-radius: '.esc_attr($perfect_blog_button_border_radius).'px;';
	$perfect_blog_custom_css .='}';

	/*-----------------------------Responsive Setting --------------------*/
	$perfect_blog_stickyheader = get_theme_mod( 'perfect_blog_responsive_sticky_header',true);
	if($perfect_blog_stickyheader == true && get_theme_mod( 'perfect_blog_sticky_header') == false){
    	$perfect_blog_custom_css .='.fixed-header{';
			$perfect_blog_custom_css .='position:static;';
		$perfect_blog_custom_css .='} ';
	}
    if($perfect_blog_stickyheader == true){
    	$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='.fixed-header{';
			$perfect_blog_custom_css .='position:fixed;';
		$perfect_blog_custom_css .='} }';
	}else if($perfect_blog_stickyheader == false){
		$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='.fixed-header{';
			$perfect_blog_custom_css .='position:static;';
		$perfect_blog_custom_css .='} }';
	}

	$perfect_blog_slider = get_theme_mod( 'perfect_blog_responsive_slider',false);
	if($perfect_blog_slider == true && get_theme_mod( 'perfect_blog_slider_hide_show', false) == false){
    	$perfect_blog_custom_css .='#slider{';
			$perfect_blog_custom_css .='display:none;';
		$perfect_blog_custom_css .='} ';
	}
    if($perfect_blog_slider == true){
    	$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='#slider{';
			$perfect_blog_custom_css .='display:block;';
		$perfect_blog_custom_css .='} }';
	}else if($perfect_blog_slider == false){
		$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='#slider{';
			$perfect_blog_custom_css .='display:none;';
		$perfect_blog_custom_css .='} }';
	}

	$perfect_blog_scroll = get_theme_mod( 'perfect_blog_responsive_scroll',true);
	if($perfect_blog_scroll == true && get_theme_mod( 'perfect_blog_enable_disable_scroll', true) == false){
    	$perfect_blog_custom_css .='#scroll-top{';
			$perfect_blog_custom_css .='display:none !important;';
		$perfect_blog_custom_css .='} ';
	}
    if($perfect_blog_scroll == true){
    	$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='#scroll-top{';
			$perfect_blog_custom_css .='visibility: visible !important;';
		$perfect_blog_custom_css .='} }';
	}else if($perfect_blog_scroll == false){
		$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='#scroll-top{';
			$perfect_blog_custom_css .='visibility: hidden !important;';
		$perfect_blog_custom_css .='} }';
	}

	$perfect_blog_sidebar = get_theme_mod( 'perfect_blog_responsive_sidebar',true);
    if($perfect_blog_sidebar == true){
    	$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='#sidebar{';
			$perfect_blog_custom_css .='display:block;';
		$perfect_blog_custom_css .='} }';
	}else if($perfect_blog_sidebar == false){
		$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='#sidebar{';
			$perfect_blog_custom_css .='display:none;';
		$perfect_blog_custom_css .='} }';
	}

	$perfect_blog_loader = get_theme_mod( 'perfect_blog_responsive_preloader', true);
	if($perfect_blog_loader == true && get_theme_mod( 'perfect_blog_preloader_option', true) == false){
    	$perfect_blog_custom_css .='#loader-wrapper{';
			$perfect_blog_custom_css .='display:none;';
		$perfect_blog_custom_css .='} ';
	}
    if($perfect_blog_loader == true){
    	$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='#loader-wrapper{';
			$perfect_blog_custom_css .='display:block;';
		$perfect_blog_custom_css .='} }';
	}else if($perfect_blog_loader == false){
		$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='#loader-wrapper{';
			$perfect_blog_custom_css .='display:none;';
		$perfect_blog_custom_css .='} }';
	}

	/*------------------ Skin Option  -------------------*/
	$perfect_blog_theme_lay = get_theme_mod( 'perfect_blog_background_skin_mode','Transparent Background');
    if($perfect_blog_theme_lay == 'With Background'){
		$perfect_blog_custom_css .='.page-box,#sidebar .widget,.woocommerce ul.products li.product, .woocommerce-page ul.products li.product,.front-page-content,.background-img-skin,.imagebox, .noresult-content{';
			$perfect_blog_custom_css .='background-color: #fff; padding:10px;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_theme_lay == 'Transparent Background'){
		$perfect_blog_custom_css .='.page-box-single{';
			$perfect_blog_custom_css .='background-color: transparent;';
		$perfect_blog_custom_css .='}';
	}

	/*------------ Woocommerce Settings  --------------*/
	$perfect_blog_top_bottom_product_button_padding = get_theme_mod('perfect_blog_top_bottom_product_button_padding', 10);
	$perfect_blog_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce input.button.alt, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled]{';
		$perfect_blog_custom_css .='padding-top: '.esc_attr($perfect_blog_top_bottom_product_button_padding).'px; padding-bottom: '.esc_attr($perfect_blog_top_bottom_product_button_padding).'px;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_left_right_product_button_padding = get_theme_mod('perfect_blog_left_right_product_button_padding', 16);
	$perfect_blog_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce input.button.alt, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled]{';
		$perfect_blog_custom_css .='padding-left: '.esc_attr($perfect_blog_left_right_product_button_padding).'px; padding-right: '.esc_attr($perfect_blog_left_right_product_button_padding).'px;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_product_button_border_radius = get_theme_mod('perfect_blog_product_button_border_radius', 0);
	$perfect_blog_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce input.button.alt, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled]{';
		$perfect_blog_custom_css .='border-radius: '.esc_attr($perfect_blog_product_button_border_radius).'px;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_show_related_products = get_theme_mod('perfect_blog_show_related_products',true);
	if($perfect_blog_show_related_products == false){
		$perfect_blog_custom_css .='.related.products{';
			$perfect_blog_custom_css .='display: none;';
		$perfect_blog_custom_css .='}';
	}

	$perfect_blog_show_wooproducts_border = get_theme_mod('perfect_blog_show_wooproducts_border', true);
	if($perfect_blog_show_wooproducts_border == false){
		$perfect_blog_custom_css .='.products li{';
			$perfect_blog_custom_css .='border: none;';
		$perfect_blog_custom_css .='}';
	}

	$perfect_blog_top_bottom_wooproducts_padding = get_theme_mod('perfect_blog_top_bottom_wooproducts_padding', 10);
	$perfect_blog_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$perfect_blog_custom_css .='padding-top: '.esc_attr($perfect_blog_top_bottom_wooproducts_padding).'px !important; padding-bottom: '.esc_attr($perfect_blog_top_bottom_wooproducts_padding).'px !important;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_left_right_wooproducts_padding = get_theme_mod('perfect_blog_left_right_wooproducts_padding', 10);
	$perfect_blog_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$perfect_blog_custom_css .='padding-left: '.esc_attr($perfect_blog_left_right_wooproducts_padding).'px !important; padding-right: '.esc_attr($perfect_blog_left_right_wooproducts_padding).'px !important;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_wooproducts_border_radius = get_theme_mod('perfect_blog_wooproducts_border_radius',0);
	$perfect_blog_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$perfect_blog_custom_css .='border-radius: '.esc_attr($perfect_blog_wooproducts_border_radius).'px;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_wooproducts_box_shadow = get_theme_mod('perfect_blog_wooproducts_box_shadow',0);
	$perfect_blog_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$perfect_blog_custom_css .='box-shadow: '.esc_attr($perfect_blog_wooproducts_box_shadow).'px '.esc_attr($perfect_blog_wooproducts_box_shadow).'px '.esc_attr($perfect_blog_wooproducts_box_shadow).'px #eee;';
	$perfect_blog_custom_css .='}';

	/*-------------- Footer Text -------------------*/
	$perfect_blog_copyright_content_align = get_theme_mod('perfect_blog_copyright_content_align');
	if($perfect_blog_copyright_content_align != false){
		$perfect_blog_custom_css .='.copyright{';
			$perfect_blog_custom_css .='text-align: '.esc_attr($perfect_blog_copyright_content_align).'!important;';
		$perfect_blog_custom_css .='}';
	}

	$perfect_blog_footer_content_font_size = get_theme_mod('perfect_blog_footer_content_font_size', 15);
	$perfect_blog_custom_css .='.copyright span{';
		$perfect_blog_custom_css .='font-size: '.esc_attr($perfect_blog_footer_content_font_size).'px;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_copyright_padding = get_theme_mod('perfect_blog_copyright_padding', 15);
	$perfect_blog_custom_css .='.copyright{';
		$perfect_blog_custom_css .='padding-top: '.esc_attr($perfect_blog_copyright_padding).'px !important; padding-bottom: '.esc_attr($perfect_blog_copyright_padding).'px !important;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_footer_widget_bg_color = get_theme_mod('perfect_blog_footer_widget_bg_color');
	$perfect_blog_custom_css .='#footer{';
		$perfect_blog_custom_css .='background-color: '.esc_attr($perfect_blog_footer_widget_bg_color).';';
	$perfect_blog_custom_css .='}';

	$perfect_blog_footer_widget_bg_image = get_theme_mod('perfect_blog_footer_widget_bg_image');
	if($perfect_blog_footer_widget_bg_image != false){
		$perfect_blog_custom_css .='#footer{';
			$perfect_blog_custom_css .='background: url('.esc_attr($perfect_blog_footer_widget_bg_image).');';
		$perfect_blog_custom_css .='}';
	}

	// scroll to top
	$perfect_blog_scroll_font_size_icon = get_theme_mod('perfect_blog_scroll_font_size_icon', 22);
	$perfect_blog_custom_css .='#scroll-top .fas{';
		$perfect_blog_custom_css .='font-size: '.esc_attr($perfect_blog_scroll_font_size_icon).'px;';
	$perfect_blog_custom_css .='}';

	// Slider Height 
	$perfect_blog_slider_image_height = get_theme_mod('perfect_blog_slider_image_height');
	$perfect_blog_custom_css .='#slider img{';
		$perfect_blog_custom_css .='height: '.esc_attr($perfect_blog_slider_image_height).'px;';
	$perfect_blog_custom_css .='}';

	// Display Blog Post 
	$perfect_blog_display_blog_page_post = get_theme_mod( 'perfect_blog_display_blog_page_post','Without Box');
    if($perfect_blog_display_blog_page_post == 'In Box'){
		$perfect_blog_custom_css .='.page-box, .main-cat-box{';
			$perfect_blog_custom_css .='border: solid 1px #eee; margin: 20px 0;';
		$perfect_blog_custom_css .='}';
		$perfect_blog_custom_css .='.main-cat-box{';
			$perfect_blog_custom_css .='padding:10px;';
		$perfect_blog_custom_css .='}';
	}

	// slider overlay
	$perfect_blog_slider_overlay = get_theme_mod('perfect_blog_slider_overlay', true);
	if($perfect_blog_slider_overlay == false){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:1;';
		$perfect_blog_custom_css .='}';
	} 
	$perfect_blog_slider_image_overlay_color = get_theme_mod('perfect_blog_slider_image_overlay_color', true);
	if($perfect_blog_slider_overlay != false){
		$perfect_blog_custom_css .='#slider{';
			$perfect_blog_custom_css .='background-color: '.esc_attr($perfect_blog_slider_image_overlay_color).';';
		$perfect_blog_custom_css .='}';
	}

	// site title and tagline font size option
	$perfect_blog_site_title_size_option = get_theme_mod('perfect_blog_site_title_size_option', 25);{
	$perfect_blog_custom_css .='#header .logo h1, p.site-title a{';
	$perfect_blog_custom_css .='font-size: '.esc_attr($perfect_blog_site_title_size_option).'px;';
		$perfect_blog_custom_css .='}';
	}

	$perfect_blog_site_tagline_size_option = get_theme_mod('perfect_blog_site_tagline_size_option', 12);{
	$perfect_blog_custom_css .='#header .logo p{';
	$perfect_blog_custom_css .='font-size: '.esc_attr($perfect_blog_site_tagline_size_option).'px;';
		$perfect_blog_custom_css .='}';
	}

	// woocommerce product sale settings
	$perfect_blog_border_radius_product_sale = get_theme_mod('perfect_blog_border_radius_product_sale',50);
	$perfect_blog_custom_css .='.woocommerce span.onsale {';
		$perfect_blog_custom_css .='border-radius: '.esc_attr($perfect_blog_border_radius_product_sale).'%;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_align_product_sale = get_theme_mod('perfect_blog_align_product_sale', 'Right');
	if($perfect_blog_align_product_sale == 'Right' ){
		$perfect_blog_custom_css .='.woocommerce ul.products li.product .onsale{';
			$perfect_blog_custom_css .=' left:auto; right:0;';
		$perfect_blog_custom_css .='}';
	}elseif($perfect_blog_align_product_sale == 'Left' ){
		$perfect_blog_custom_css .='.woocommerce ul.products li.product .onsale{';
			$perfect_blog_custom_css .=' left:0; right:auto;';
		$perfect_blog_custom_css .='}';
	}

	$perfect_blog_product_sale_font_size = get_theme_mod('perfect_blog_product_sale_font_size',14);
	$perfect_blog_custom_css .='.woocommerce span.onsale{';
		$perfect_blog_custom_css .='font-size: '.esc_attr($perfect_blog_product_sale_font_size).'px;';
	$perfect_blog_custom_css .='}';


	// preloader background option
	$perfect_blog_loader_background_color_settings = get_theme_mod('perfect_blog_loader_background_color_settings');
	$perfect_blog_custom_css .='#loader-wrapper .loader-section{';
		$perfect_blog_custom_css .='background-color: '.esc_attr($perfect_blog_loader_background_color_settings).';';
	$perfect_blog_custom_css .='} ';

